This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 709095 - (CVE-2011-2166) CVE-2011-2166 dovecot: authenticated remote bypass of intended access restrictions
CVE-2011-2166 dovecot: authenticated remote bypass of intended access restric...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20110511,reported=20110524,sou...
: Security
Depends On: 709108 885557
Blocks: 712345 855229
  Show dependency treegraph
 
Reported: 2011-05-30 11:19 EDT by Vincent Danen
Modified: 2015-08-19 05:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 23:11:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2011-05-30 11:19:27 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2011-2166 to
the following vulnerability:

Name: CVE-2011-2166
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2011-2166
Assigned: 20110524
Reference: http://dovecot.org/pipermail/dovecot/2011-May/059085.html
Reference: http://openwall.com/lists/oss-security/2011/05/18/4
Reference: http://www.dovecot.org/doc/NEWS-2.0

script-login in Dovecot 2.0.x before 2.0.13 does not follow the user
and group configuration settings, which might allow remote
authenticated users to bypass intended access restrictions by
leveraging a script.
Comment 1 Vincent Danen 2011-05-30 12:23:00 EDT
Created dovecot tracking bugs for this issue

Affects: fedora-all [bug 709108]
Comment 2 Huzaifa S. Sidhpurwala 2011-08-05 00:45:56 EDT
Upstream patch:

http://hg.dovecot.org/dovecot-2.0/rev/25a452227a09
Comment 4 Huzaifa S. Sidhpurwala 2011-08-06 03:01:11 EDT
Upstream has confirmed that this particular fix, will break current configurations for the dovecot server, which will only be fixed in 2.0.14

Reference:
http://www.mail-archive.com/dovecot@dovecot.org/msg38350.html
Comment 5 Huzaifa S. Sidhpurwala 2011-09-01 01:21:50 EDT
Dovecot 2.0.14 is released:
http://dovecot.org/list/dovecot-news/2011-August/000193.html

The following in the Changelog suggests that comment #4 has been addressed:

script-login attempted an unnecessary config lookup, which usually
failed with "Permission denied"
Comment 12 errata-xmlrpc 2013-02-21 05:35:24 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0520 https://rhn.redhat.com/errata/RHSA-2013-0520.html
Comment 13 Huzaifa S. Sidhpurwala 2013-02-21 23:23:39 EST
Statement:

(none)

Note You need to log in before you can comment on or make changes to this bug.